import React, {useState, useEffect} from 'react';
import EnterPasswordSmartOTPView from './EnterPasswordSmartOTPView';
import {useNavigation} from '@react-navigation/native';

const EnterPasswordSmartOTP = (props) => {
    const [firstNumber, setFirstNumber] = useState(null)
    const [secondsNumber, setSecondsNumber] = useState(null)
    const [thirdNumber, setThirdNumber] = useState(null)
    const [fourNumber, setFourNumber] = useState(null)
    const navigate = useNavigation();
    useEffect(() => {
        if(fourNumber) {
            onCheckPINSmartOTPPin()
        }
    }, [fourNumber])
    const onNumberPress = (number) => {
        console.log(number.toString())
        if(!firstNumber) {
            setFirstNumber(number.toString())
        } else if(!secondsNumber) {
            setSecondsNumber(number.toString())
        } else if(!thirdNumber) {
            setThirdNumber(number.toString())
        } else if(!fourNumber) {
            setFourNumber(number.toString())
        }
    }

    const onCheckPINSmartOTPPin = () => {
        let pinCode = `${firstNumber}${secondsNumber}${thirdNumber}${fourNumber}`
        console.log(pinCode)
        props.route.params.onGoToSmartOTP()
    }
    const onDeletePress = () => {
        if(fourNumber) {
            setFourNumber(null)
        } else if(thirdNumber) {
            setThirdNumber(null)
        } else if(secondsNumber) {
            setSecondsNumber(null)
        } else if(firstNumber) {
            setFirstNumber(null)
        }
    }
    const onReactivationSmartOTP = () => {

    }

    const onForgotPINCode = () => {

    }
    return <EnterPasswordSmartOTPView
        firstNumber={firstNumber}
        secondsNumber={secondsNumber}
        thirdNumber={thirdNumber}
        fourNumber={fourNumber}
        onNumberPress={onNumberPress}
        onDeletePress={onDeletePress}
        onForgotPINCode={onForgotPINCode}
        onReactivationSmartOTP={onReactivationSmartOTP}
    />;
};
export default EnterPasswordSmartOTP;
